云码站

vue前端运行sass-loader this.getOptions is not a function

15

结合报错原因得出:
安装时指定版本即不会出现Syntax Error: TypeError: this.getOptions is not a function
npm i -D sass-loader@8.x // 安装
npm i -D node-sass@4.14.1 // 安装



同理也可能是less-loader导致的
通常提示
Syntax Error: TypeError: this.getOptions is not a function
提示语法错误都是 版本问题


所以解决问题与安装过程中记得指定版本,不要最新版的直接安装
通过降级版本号是最快捷的方法


卸载 less-loader
npm uninstall --save less-loader
安装一个低版本的
npm install -D less-loader@7.3.0


服务推荐
价格: ¥400.00
价格: ¥200.00
文章列表
以idea为例,修改项目名、数据库名操作步骤如下:项目名与数据库名改好后,运行项目,然后登录成功。这时需要注意登录网址因项目名变化而变动了。
注意:如果你有修改过数据或者上传过文件,请先导出你自己的数据库sql脚本进行下面的操作。点击我教你导出数据库1.用记事本打开数据库脚本(.sql文件):2.选中需要修改的日期,通过Ctrl+H将你需要修改的时间进行全部替换,然后保存:3.保存之后,重新将数据库sql脚本重新导入到数据库,刷新系统界面即显示修改过后的时间;(怎么导入数据库脚本点击我)
网站:学术期刊--中国知网 (cnki.net) 以springboot+vue的服装购物商城为例1、技术相关文献,搜索技术关键字springboot、vue、前后分离、ssm2、上面找出的文献,打开这个文章,下面对应的有这篇文章的参考文献,可以一样的复制3、功能相关文献,搜索功能关键字购物、商城、电商(1 和2组合搜索)4、搜索限制词,服装商城5、搜索系统类型,网站、小程序(1 和2、3分...
website qrcode

欢迎加入学习交流群